org.keycloak.models

## Class AdminRoles

- java.lang.Object
- - org.keycloak.models.AdminRoles

-     public class AdminRoles
      extends Object

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ADMIN`
    `static String[]` | `ALL_REALM_ROLES`
    `static String` | `APP_SUFFIX`
    `static String` | `CREATE_REALM`
    `static String` | `MANAGE_APPLICATIONS`
    `static String` | `MANAGE_AUDIT`
    `static String` | `MANAGE_CLIENTS`
    `static String` | `MANAGE_REALM`
    `static String` | `MANAGE_USERS`
    `static String` | `REALM_ADMIN`
    `static String` | `VIEW_APPLICATIONS`
    `static String` | `VIEW_AUDIT`
    `static String` | `VIEW_CLIENTS`
    `static String` | `VIEW_REALM`
    `static String` | `VIEW_USERS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminRoles()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### APP_SUFFIX

          public static String APP_SUFFIX

    - #### ADMIN

          public static String ADMIN

    - #### REALM_ADMIN

          public static String REALM_ADMIN

    - #### CREATE_REALM

          public static String CREATE_REALM

    - #### VIEW_REALM

          public static String VIEW_REALM

    - #### VIEW_USERS

          public static String VIEW_USERS

    - #### VIEW_APPLICATIONS

          public static String VIEW_APPLICATIONS

    - #### VIEW_CLIENTS

          public static String VIEW_CLIENTS

    - #### VIEW_AUDIT

          public static String VIEW_AUDIT

    - #### MANAGE_REALM

          public static String MANAGE_REALM

    - #### MANAGE_USERS

          public static String MANAGE_USERS

    - #### MANAGE_APPLICATIONS

          public static String MANAGE_APPLICATIONS

    - #### MANAGE_CLIENTS

          public static String MANAGE_CLIENTS

    - #### MANAGE_AUDIT

          public static String MANAGE_AUDIT

    - #### ALL_REALM_ROLES

          public static String[] ALL_REALM_ROLES

  - ### Constructor Detail

    - #### AdminRoles

          public AdminRoles()

Copyright © 2014. All Rights Reserved.